Quick Install

Quick Install Overview

Your handheld comes with applications installed and ready to use, but you can use Quick Install to install other applications, such as games and other software. You can also install other types of files, such as audio, video, and photo files. Files and applications are easy to install by adding the files to Quick Install and then synchronizing your desktop computer with your handheld. Applications or games that you install on your handheld reside in RAM, and you can delete them at any time. For more information about available applications, visit http://www.palm.com/

When you add files to Quick Install, it determines whether the files should be installed on your handheld or an expansion card, and then places the files in the file list where they are queued to be installed the next time you synchronize your desktop computer with your handheld. You must have an appropriate application on your handheld to open the file or the files will not be installed.

[*] NOTE Certain files, such as video files, are only installed to an expansion card.

You can place files into one of two lists of files to queue for installation:
· A list for the handheld
· A list for the expansion card, such as a SD (Secure Digital) Card or MultiMediaCard.

[*] NOTE An expansion card (sold separately) increases the amount of space you have to store software applications and data on your handheld. For information about how to install an expansion card on your handheld, see the handbook that came with your handheld.


Learning About the Quick Install Window

The Quick Install window displays a list of files scheduled to be installed on the handheld and on the expansion card the next time you synchronize your desktop computer with your handheld.
Click any area of the picture below for more information.

Show/Hide Details

Click the button to show or hides the Details pane that displays information about the selected file, including the file properties. If available, the Details pane shows a preview of the selected file. User.htm

User Selector

The user selector displays the current HotSync® user's name and lets you switch users.

Menu Bar

The menu bar displays the menus available in Quick Install. Click a menu title to display the commands on that menu.

Expansion Card File List

The Expansion Card file list shows the files to install on an expansion card the next time you synchronize your desktop computer with your handheld. The file information shows the following:

• An appropriate icon for the file type.

• The file name.

• The size in bytes (B), kilobytes (KB), or megabytes (MB).

• The file type.

• The status of the file since the last HotSync® operation and any errors that may have occurred.

• The collection if the file belongs to a collection of files, such as a .zip file. (Collection is not shown by default.)

Add Button

Click the Add button to browse for and select files, and then add the selected files to the Handheld or Expansion Card file list.

Remove Button

Click the Remove button to remove selected files from the file list.

Handheld File List

The Handheld File list shows the list of files to install on the handheld the next time you synchronize your desktop computer with your handheld. The file information shows the following:

• An appropriate icon for the file type.

• The file name.

• The size in bytes (B), kilobytes (KB), or megabytes (MB).

• The file type.

• The status of the file since the last HotSync® operation and any errors that may have occurred.

• The collection if the file belongs to a collection of files, such as a .zip file. Collection is not shown by default

Details Pane

Displays information about the selected file, including the file's name; size in kilobytes (KB) or megabytes (MB); file type; the collection name if the file belongs to a collection, such as a .zip file; and the status. If available, the Details pane shows a preview of the selected file.

Handheld and Expansion Card Status

The card status shows the amount of memory available on the handheld or expansion card for installing files. The available memory shown is from the last last time you synchronized your desktop with your handheld; however, the handheld's available memory could have changed since the last HotSync® operation. The status bar shows the number of selected files and their total size. Some file types are compressed during a HotSync operation. Because of this, the file could actually take up less space than the amount shown in the file size column or the status bar.

[*] NOTE With some older model Palm handhelds, the amount of available memory is not shown.

[*] NOTE If an expansion card is not installed and you add a file that is compatible only with an expansion card, when you synchronize your desktop computer with your handheld.

Status Bar

Shows the number of files selected in the Handheld or Expansion Card file list and total file size of the selected files.

[*] NOTE Some file types are compressed during a HotSync® operation. Because of this, the file could actually take up less space than the amount shown in the file size column or total in the status bar.

[*] NOTE If you exit from Quick Install and files are listed to be installed, a dialog box tells you that the files will not be installed until you perform a HotSync® operation.

See Also

Starting Quick Install


Types of Files You Can Install

Applications and files are easy to install when you synchronize your computer with your handheld. You can place the following types of files in the file list:

• Palm OS® file types, including .prc and .pdb.

• Image or photo files, including .jpg, .bmp, .png, .gif, and certain types of .tif files, that you can save with your digital camera or other image-editing software. You can install photo files on your handheld's internal memory or an expansion card, but by default Quick Install places them in the file list for the handheld.

• Audio files, including MP3 files, and certain video files, such as .mpg files. To install the audio or video files on your handheld, you must have an appropriate application installed on your handheld for using those files. Note that on certain handhelds those applications are installed in your handheld's ROM; however, on other handhelds, you must install audio and video files on the handheld's expansion card.

• Zip files. If you place a .zip file in Quick Install, the files within the .zip file are decompressed, and the files from the top-level folder only are added to the file list.

When you add a file to Quick Install, it determines whether the file should be installed on the handheld or the expansion card, based on the file type.

See Also

Adding Files to Quick Install Overview
Adding All Files from a Specific Folder
Installing a PRC or PDB File


Starting Quick Install

1
On the Windows desktop, double-click the Quick Install icon.
The Quick Install window displays the files currently in the file list.

2

[&] OPTIONAL Select a different HotSync® user's name from the User drop-down list if you want to install files for another user.

See Also

Adding All Files from a Specific Folder
Adding Files to Quick Install Overview
Adding Files Using the Add Button
Types of Files You Can Install

Tip
You can drag and drop a file or folder from Windows Explorer onto the Quick Install icon. See Dragging and Dropping Files onto the Quick Install Icon or Dragging and Dropping Files onto the Window.

You can also start Quick Install from the Launch Bar in the Palm® Desktop software, or from the Windows Start menu under Palm Desktop.


Adding Files to Quick Install Overview

The Quick Install window displays a list of files to be installed on the handheld or on the expansion card. Quick Install gives you many ways to add files to the Quick Install window, including the following:

• Dragging and Dropping Files and Folders onto the Quick Install Icon

• Dragging and Dropping a File or Folder onto the Window

• Adding Files Using the Add Button

• Adding All Files from a Specific Folder

• Installing a PRC or PDB File

• Moving the Files from One List to the Other

• Hiding or Showing Details about a File

• Removing Files from a Destination File List

• Changing Preferences

Tip
Tip You can also right-click a file on the Windows desktop, and then choose Send To Quick Install.


Dragging and Dropping Files and Folders onto the Quick Install Icon

You can drag individual files, groups of files, or an entire folder of files onto the Quick Install icon.

1
In Windows Explorer, locate the file or folder that you want to install.
2
Drag and drop the file(s) or folder onto the Quick Install icon.
The Confirm Add Dialog Box appears and shows the file list in which the files will be placed.

[*] NOTE If Quick Install is already open, the Confirm Add dialog box does not appear unless an error occurs. Select Do not show this dialog again to turn it off. You can turn it back on in the Preferences.

3

[&] OPTIONAL Select a different HotSync® user's name from the User drop-down list if you want to install files for another user.

4
Click OK.
Quick Install places the files in the Handheld or Expansion Card file list, based on the file type.
5
Perform a HotSync operation to install the files.
If any of the files could not be installed, the filename is displayed in the Quick Install window when you open the application.

[*] NOTE When you drag and drop a folder with subfolders or a .zip file, Quick Install adds only the files from the top-level folder.

See Also

Starting Quick Install
Changing Preferences
Types of Files You Can Install


Dragging and Dropping a File or Folder onto the Window

You can place files in the installation file list by dragging and dropping a file, group of files, or a folder containing files from the Windows desktop onto the Handheld or Expansion Card file list.

[*] NOTE Only the files in the top-level folder of a .zip file are added to Quick Install.

1
Starting Quick Install.
2
In Windows Explorer, locate the file(s) or folder that you want to install.
3
In Windows Explorer, drag and drop the file(s) or folder on to the Handheld or Expansion Card file list. You can move files to another list by dragging them to the other list.

[*] NOTE If a file can't be added to a file list, the cursor changes to a No symbol.

[*] NOTE Select a different HotSync® user's name from the User drop-down list if you want to install files for another user.

4
Synchronize your desktop computer with your handheld to install the files

[*] NOTE Audio and video files automatically go into the Expansion Card file list.

[*] NOTE When you drag and drop a folder that has subfolder, Quick Install looks only at the files in the top-level folder.

[*] NOTE If files remain in the file list after you synchronize your desktop computer with your handheld, those files were not installed. This can happen if the handheld does not have an application that supports that file type, or if there was not enough available memory to add the file on the handheld.

Tip
You can also copy files in Windows Explorer, and then paste them into the appropriate file list.

Tip
You can deselect the Install to Card option in HotSync Manager if you don't want any files installed to your handheld's expansion card.


Adding Files Using the Add Button

Use the Add button to select one or more files that you want to install.

1 | Starting Quick Install.
2 | Click Add, and then select the files you want to install.
3 | Click Open to add the files to the file list.

See Also

Adding Files Using the Add Button
Adding All Files from a Specific Folder
Types of Files You Can Install
Installing a PRC or PDB File
Removing Files from a Destination File List

Tip
Select a different HotSync® user's name from the User drop-down list if you want to install files for another user.

Tip
You can also right-click a file list, and then choose Add Files.


Adding All Files from a Specific Folder

Use the Add Folder command to add all the files from a specific folder to the destination file list.

1 | Starting Quick Install.
2 | From the File menu, choose Add Folder.
3 | In the Browse for Folder dialog box, select the folder that you want.
4 | Click OK to add the files from the folder to the file list.

[*] NOTE Only the files in the top-level folder of a .zip file are added to Quick Install.

See Also

Adding Files Using the Add Button
Installing a PRC or PDB File
Removing Files from a Destination File List
Types of Files You Can Install

Tip
Select a different HotSync® user's name from the User drop-down list if you want to install files for another user.


Installing a PRC or PDB File

You can install a PRC or PDB file on your handheld using Quick Install.

1
In Windows Explorer, double-click the Palm OS® file that you want to install.
The Confirm Add Dialog Box appears and displays in which destination file list Quick Install placed the file. Select Do not show this dialog again to hide this dialog box. You can turn it back on in the Preferences.

[*] NOTE If Quick Install is already open, the Confirm Add dialog box does not appear unless an error occurs.

[*] NOTE Select a different HotSync® user's name from the User drop-down list if you want to install files for another user.

2
Click OK.
3
Synchronize your desktop computer with your handheld to complete the installation.

See Also

Adding Files Using the Add Button
Adding All Files from a Specific Folder
Adding Files to Quick Install Overview
Removing Files from a Destination File List


Moving the Files from One List to the Other

You can easily move files from one destination file list to another.
To move the files from the Handheld or Expansion Card file list to the other list find the name of the file you want to move, and then drag the file to the other file list.
If the file can't be installed on the other destination, the cursor changes shape to show that the file can't be moved.

See Also

Adding Files Using the Add Button
Adding All Files from a Specific Folder
Adding Files to Quick Install Overview
Removing Files from a Destination File List

Tip
You can also select the file in the file list, and then right-click to choose Move to Handheld or Move to Expansion Card.


Hiding or Showing Details about a File

The Details pane displays certain properties about a file, such as the name, file size, and file type. If the file has a preview, it appears in the Details pane.

1 | Starting Quick Install.
2 | Select a file in a file list.
3 | Click Show Details.
4 | To close the Details pane, click Hide Details.


Removing Files from a Destination File List

1 | Starting Quick Install.
2 | Select the files you want to remove from the Handheld or Expansion Card file list. [*] NOTE Press Shift+Click to select a group of files, or press Ctrl+Click to select individual files. You cannot select files from both the Handheld and Expansion Card file list at the same time.
3 | Click Remove, or press the Delete key.
4 | Click OK.

Tip
You can choose whether or not to display the delete confirmation dialog box in the Preferences. See Changing Preferences for more information.


Changing Preferences

1
From the View menu, choose Preferences.
2
Select or deselect the options you want:
Display Confirmation Dialog when adding files Select this check box if you want the Confirm Add dialog box to be displayed when you add files to the Handheld or Expansion Card file list.
Confirm before removing items from the list Select this check box if you want Quick Install to display a message before deleting any file in the file list.
Display HotSync reminder when exiting Select this check box if you want a message to remind you to perform a HotSync® operation when files are in the installation queue and you exit from Quick Install.
Show Quick Install Icon on the Windows Desktop Click this button if the Quick Install icon was deleted from the Windows desktop, and you want to place it back on the desktop.
3
Click OK.

See Also

Adding Files Using the Add Button
Adding Files to Quick Install Overview


Confirm Add Dialog Box

Displays the name of the user and the destination-the handheld or the expansion card-where the files will be installed.

User | Displays the name of the currently selected user. You can select a different user's name for the HotSync® operation so that the files are installed on another user's handheld or expansion card.
Name | Displays the complete name of the file that will be installed.
Destination | Shows the destination where the files will be installed, either the handheld or the expansion card. Quick Install automatically places the files in the appropriate destination based on the file type. If the file already exists on the destination, the Destination column displays a message that indicates that the file already exists, and the file is not added.
Do not show this dialog again | Select this check box so that the Confirm Add dialog box does not appear the next time you add files or files from folders. To turn this option back on, choose Preferences from the View menu. If a problems exists with a file you are trying to install, for example, if you are trying to add a file again, then the Confirm Add dialog box still displays.


Quick Install Help

Your handheld comes with applications installed and ready to use, but you can use Quick Install to install other applications, such as games and other software. You can also install other types of files, such as audio, video, and photo files. Files and applications are easy to install by adding the files to Quick Install and then synchronizing your desktop computer with your handheld. Applications or games that you install on your handheld reside in RAM, and you can delete them at any time. For more information about available applications, visit http://www.palm.com/

V. 1.3


Show Columns Dialog Box

Column check box | Select the columns you want to appear in the file list.
Move | Select the column you want to move, and then click the arrows to reposition the item in the list.

[*] NOTE Column names that appear in gray are required and cannot be moved or disabled.